798011859@qq.com
798011859@qq.com
  • 发布:2020-04-13 17:21
  • 更新:3 天前
  • 阅读:793

吐槽uni-app的版本号能否规范一些,看着好难受

分类:uni-app

package.json里的:
"dependencies": {
"@dcloudio/uni-app-plus": "^2.0.0-23320190923002",
"@dcloudio/uni-h5": "^2.0.0-23320190923002",
"@dcloudio/uni-mp-alipay": "^2.0.0-23320190923002",
"@dcloudio/uni-mp-baidu": "^2.0.0-23320190923002",
"@dcloudio/uni-mp-qq": "^2.0.0-23320190923002",
"@dcloudio/uni-mp-toutiao": "^2.0.0-23320190923002",
"@dcloudio/uni-mp-weixin": "^2.0.0-23320190923002",
"flex.css": "^1.1.7",
"flyio": "^0.6.14",
"regenerator-runtime": "^0.12.1",
"vue": "^2.6.10",
"vuex": "^3.1.1"
},
"devDependencies": {
"@dcloudio/uni-cli-shared": "^0.2.971",
"@dcloudio/uni-template-compiler": "^0.9.180",
"@dcloudio/vue-cli-plugin-hbuilderx": "^1.0.123",
"@dcloudio/vue-cli-plugin-uni": "^0.9.498",
"@dcloudio/webpack-uni-mp-loader": "^0.3.639",
"@dcloudio/webpack-uni-pages-loader": "^0.2.852",
"@types/html5plus": "^1.0.0",
"@types/uni-app": "^1.3.2",
"@vue/cli-plugin-babel": "^3.5.1",
"@vue/cli-service": "^3.9.2",
"babel-plugin-import": "^1.12.0",
"cross-env": "^6.0.0",
"node-sass": "^4.12.0",
"postcss-comment": "^2.0.0",
"sass-loader": "^7.1.0",
"vue-template-compiler": "^2.6.10"
},

2020-04-13 17:21 负责人:无 分享
已邀请:
798011859@qq.com

798011859@qq.com (作者)

看起来好像是2.0.0,实际官方的更新记录却是2.3.3

xiaoxiao昱

xiaoxiao昱

的确是太恶心了,上次用Jenkins打包,莫名报了一堆错,开始还以为是Jenkins或Kubernetes的问题。

找了好长时间,才发现版本号中的-变成了.:

2.0.0.26920200424005

不知道怎么变过去的,我将.换回了-才可以的

2.0.0-26920200424005
DCloud_UNI_GSQ

DCloud_UNI_GSQ

相关文档:版本号

这样设计有一定历史原因,后续可能会进行改进。

要回复问题请先登录注册